jingrow.listview_settings["Workflow"] = {
	add_fields: ["is_active"],
	get_indicator: function (pg) {
		if (pg.is_active) {
			return [__("Active"), "green", "is_active,=,Yes"];
		} else if (!pg.is_active) {
			return [__("Not active"), "gray", "is_active,=,No"];
		}
	},
	button: {
		show(pg) {
			return pg.name;
		},
		get_label() {
			return jingrow.utils.icon("workflow", "sm");
		},
		get_description(pg) {
			return __("Build {0}", [`${pg.name}`]);
		},
		action(pg) {
			jingrow.set_route("workflow-builder", pg.name);
		},
	},
};

jingrow.help.youtube_id["Workflow"] = "yObJUg9FxFs";
